<?xml version="1.0" encoding="UTF-8"?>

<!--
 +======================================================================+
 | S3 interface.xsl v0.8                                        XSLT1.0 |
 +======================================================================+
 | Distributed at http://www.arielworks.net/works/codeyard/sdf/xslt     |
 +======================================================================+
-->

<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                              xmlns:xh="http://www.w3.org/1999/xhtml"
                              xmlns="http://www.w3.org/1999/xhtml"
                              xmlns:sdf="http://www.arielworks.net/works/codeyard/sdf"
                              xmlns:s3="http://www.arielworks.net/works/codeyard/sdf/xslt"
                              xmlns:sm="http://www.arielworks.net/works/codeyard/sitemap"
                              xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
                              xmlns:dc="http://purl.org/dc/elements/1.1/"
                              xmlns:dcterms="http://purl.org/dc/terms/"
                              exclude-result-prefixes="sdf s3 sm xsi dc dcterms">

<xsl:import href="./core.xsl"/>

<xsl:output omit-xml-declaration="no" version="1.0" method="xml" indent="no" encoding="UTF-8"/>

<xsl:param name="s3:web_domain" select="'www.arielworks.net'"/>
<xsl:param name="s3:web_root" select="'/'"/>
<xsl:param name="s3:processor_root" select="'/'"/>

<!-- head要素内に追加する要素 -->
<xsl:template name="s3:meta_extended">
</xsl:template>



<!-- 表示するメタデータを指定 -->
<xsl:template name="s3:show_status_item">
    <dl>
        <xsl:if test="/sdf:document/sdf:meta/dcterms:created and not(/sdf:document/sdf:meta/dcterms:created/@s3:visibility = 'hidden')">
            <dt>
                <xsl:choose>
                    <xsl:when test="lang('ja')">制作日</xsl:when>
                    <xsl:otherwise>Created</xsl:otherwise>
                </xsl:choose>
            </dt>
            <dd>
                <xsl:value-of select="substring(/sdf:document/sdf:meta/dcterms:created, 0, 11)"/>
            </dd>
        </xsl:if>
        <xsl:if test="/sdf:document/sdf:meta/dcterms:modified and not(/sdf:document/sdf:meta/dcterms:modified/@s3:visibility = 'hidden')">
            <dt>
                <xsl:choose>
                    <xsl:when test="lang('ja')">最終更新日</xsl:when>
                    <xsl:otherwise>Last Modified</xsl:otherwise>
                </xsl:choose>
            </dt>
            <dd>
                <xsl:value-of select="substring($s3:modified, 0, 11)"/>
            </dd>
        </xsl:if>
        <dt>
            <xsl:choose>
                <xsl:when test="lang('ja')">参照用URI</xsl:when>
                <xsl:otherwise>URI</xsl:otherwise>
            </xsl:choose>
        </dt>
        <dd>
            <xsl:call-template name="s3:show_uri"/>
        </dd>
    </dl>
</xsl:template>


<!-- ヘッダ追加用テンプレート -->
<xsl:template name="s3:show_head">
</xsl:template>

<!-- フッタ追加用テンプレート -->
<xsl:template name="s3:show_foot">
</xsl:template>

<!-- objectはimgに -->
<xsl:template match="xh:object[starts-with(./@type, 'image')]">
    <img src="{./@data}" alt="{.}"/>
</xsl:template>

</xsl:stylesheet>